GNU Radio's CDMA Package

Public Types | Public Member Functions | Static Public Member Functions | List of all members
gr::cdma::pac_err_cal Class Referenceabstract

<+description of block+> More...

`#include <pac_err_cal.h>`

Inheritance diagram for gr::cdma::pac_err_cal:
[legend]

## Public Types
typedef boost::shared_ptr< pac_err_cal > | sptr

## Public Member Functions
virtual void | set_winsize (unsigned long k)=0
virtual void | set_cycsize (unsigned long t)=0
virtual void | set_pkt_num_tag (std::string str)=0

## Static Public Member Functions
static sptr | make (unsigned long winsize, unsigned long cycsize, std::string pkt_num_tag)
| Return a shared_ptr to a new instance of cdma::pac_err_cal. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<pac_err_cal> gr::cdma::pac_err_cal::sptr

## Member Function Documentation

## ◆ make()

static sptr gr::cdma::pac_err_cal::make | ( | unsigned long | winsize,
|  | unsigned long | cycsize,
|  | std::string | pkt_num_tag
| ) |  |
| static

Return a shared_ptr to a new instance of cdma::pac_err_cal.

To avoid accidental use of raw pointers, cdma::pac_err_cal's constructor is in a private implementation class. cdma::pac_err_cal::make is the public interface for creating new instances.

## ◆ set_cycsize()

virtual void gr::cdma::pac_err_cal::set_cycsize | ( | unsigned long | t | ) |
| pure virtual

Implemented in gr::cdma::pac_err_cal_impl.

## ◆ set_pkt_num_tag()

virtual void gr::cdma::pac_err_cal::set_pkt_num_tag | ( | std::string | str | ) |
| pure virtual

Implemented in gr::cdma::pac_err_cal_impl.

## ◆ set_winsize()

virtual void gr::cdma::pac_err_cal::set_winsize | ( | unsigned long | k | ) |
| pure virtual

Implemented in gr::cdma::pac_err_cal_impl.

The documentation for this class was generated from the following file:

- pac_err_cal.h